﻿namespace Libra.Primitives
{
    public enum Timeframe : int
    {
        Current     = 0,        // <- период текущего графика
        M1          = 1,        // <- 1 минута
        M2          = 2,
        M3          = 3,
        M4          = 4,
        M5          = 5,
        M6          = 6,
        M10         = 10,
        M12         = 12,
        M15         = 15,
        M20         = 20,
        M30         = 30,
        H1          = 16385,    // <- 1 час
        H2          = 16386,
        H3          = 16387,
        H4          = 16388,
        H6          = 16390,
        H8          = 16392,
        H12         = 16396,
        D1          = 16408,    // <- 1 день
        W1          = 32769,    // <- 1 неделя
        MN1         = 49153,    // <- 1 месяц
    }


    public static class TimeframeExtensions
    {
        public static bool IsDefined(this Timeframe timeframe)
        {
            return timeframe > Timeframe.Current;
        }
    }
}
